package com.kmall.admin.dao;

import com.kmall.admin.entity.GoodsGalleryEntity;
import com.kmall.manager.dao.BaseDao;

import java.util.List;

/**
 * Dao
 *
 * @author Scott
 * @email
 * @date 2017-08-23 14:41:43
 */
public interface GoodsGalleryDao extends BaseDao<GoodsGalleryEntity> {
    int deleteByGoodsId(Long goodsId);

    GoodsGalleryEntity queryVideoObjectByGoodId(Long goodId);

    List<GoodsGalleryEntity> queryObjectByGoodId(Long goodId);
}
